<template>
    <v-menu
            :close-on-content-click="false"
            v-model="menu"
            :nudge-right="40"
            :clearable="true"
            lazy
            transition="scale-transition"
            offset-y
            full-width
            min-width="290px"
    >
        <v-text-field
                slot="activator"
                prepend-icon="event"
                readonly
                clearable
                :value="computedDateFormatted"
        ></v-text-field>
        <v-date-picker :disabled="disabled"
                       :placeholder="schema.placeholder"
                       :readonly="schema.readonly"
                       v-model="date"
                       @input="menu = false"></v-date-picker>
    </v-menu>

</template>
​
<script>
    import {abstractField} from "vue-form-generator";

    export default {
        mixins: [abstractField],
        data: (vm) => ({
            date: new Date().toISOString().substr(0, 10),
            dateFormatted: vm.formatDate(new Date().toISOString().substr(0, 10)),
            menu: false
        }),
        computed: {
            computedDateFormatted() {
                return this.formatDate(this.date)
            }
        },

        watch: {
            date(val) {
                this.dateFormatted = this.formatDate(this.date)
            }
        },
        methods: {
            formatDate(date) {
                if (!date) return null

                const [year, month, day] = date.split('-')
                return `${day}/${month}/${year}`
            }
        }
    };
</script>

<style scoped>
</style>